// Timer.h: interface for the CTimer class.
//
//////////////////////////////////////////////////////////////////////

#include <windows.h>
#include <Mmsystem.h>

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

typedef union tagBigInt
{
	__int32 i32[2];
	__int64 i64;
} BigInt;

#define ABS_TICK(a,b)  (((b)<(a))?(a-b):(b-a))

class CTimer  
{
public:
	CTimer();
	virtual ~CTimer();

	__int64 GetCPUSpeed( void ) { return m_CPUTicksPerMicroSecond * 1000000i64; }
	__int64 GetTime( void );

protected:

	__int64 m_CPUTicksPerMicroSecond;

	__int64 GetCPUTicks( void );

	int GetCmosTick(void);
};
